bitel.billing.server.npay.bean

## Class ServiceObject

- java.lang.Object
- - bitel.billing.server.npay.bean.ServiceObject

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceObject
      extends java.lang.Object
      implements java.io.Serializable

  Абонплата пользователя
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `objTitle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceObject` | `clone()`
    `int` | `getCol()`
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Date` | `getDate1()`
    `java.util.Date` | `getDate2()`
    `int` | `getEntityId()`
    `int` | `getEntityMid()`
    `int` | `getId()`
    `int` | `getObjectId()`
    `java.lang.String` | `getObjectTitle()`
    `int` | `getServiceId()`
    `java.lang.String` | `getServiceTitle()`
    `void` | `setCol(int col)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setDate1(java.util.Date serviceDate1)`
    `void` | `setDate2(java.util.Date serviceDate2)`
    `void` | `setEntityId(int entityId)`
    `void` | `setEntityMid(int entityMid)`
    `void` | `setId(int contractServiceId)`
    `void` | `setObjectId(int objectId)`
    `void` | `setObjectTitle(java.lang.String objectTitle)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setServiceTitle(java.lang.String serviceTitle)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objTitle

          public java.lang.String objTitle

  - ### Constructor Detail

    - #### ServiceObject

          public ServiceObject()

  - ### Method Detail

    - #### getObjectTitle

          public java.lang.String getObjectTitle()

    - #### setObjectTitle

          public void setObjectTitle(java.lang.String objectTitle)

    - #### getDate1

          public java.util.Date getDate1()

    - #### setDate1

          public void setDate1(java.util.Date serviceDate1)

    - #### getDate2

          public java.util.Date getDate2()

    - #### setDate2

          public void setDate2(java.util.Date serviceDate2)

    - #### getServiceTitle

          public java.lang.String getServiceTitle()

    - #### setServiceTitle

          public void setServiceTitle(java.lang.String serviceTitle)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int contractServiceId)

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### getCol

          public int getCol()

    - #### setCol

          public void setCol(int col)

    - #### getEntityId

          public int getEntityId()

    - #### setEntityId

          public void setEntityId(int entityId)

    - #### getEntityMid

          public int getEntityMid()

    - #### setEntityMid

          public void setEntityMid(int entityMid)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### clone

          public ServiceObject clone()

      Overrides:
        `clone` in class `java.lang.Object`